FreeMat

- Main Page
- Related Pages

vtkInteractorStyleRubberBand3D

Section: Visualization Toolkit Rendering Classes

# Usage

vtkInteractorStyleRubberBand3D manages interaction in a 3D view. The style also allows draws a rubber band using the left button. All camera changes invoke InteractionBeginEvent when the button is pressed, InteractionEvent when the mouse (or wheel) is moved, and InteractionEndEvent when the button is released. The bindings are as follows: Left mouse - Select (invokes a SelectionChangedEvent). Right mouse - Rotate. Shift + right mouse - Zoom. Middle mouse - Pan. Scroll wheel - Zoom.

To create an instance of class vtkInteractorStyleRubberBand3D, simply invoke its constructor as follows

      obj = vtkInteractorStyleRubberBand3D

# Methods

The class vtkInteractorStyleRubberBand3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInteractorStyleRubberBand3D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInteractorStyleRubberBand3D = obj.NewInstance ()`
- `vtkInteractorStyleRubberBand3D = obj.SafeDownCast (vtkObject o)`
- `obj.OnLeftButtonDown ()`
- `obj.OnLeftButtonUp ()`
- `obj.OnMiddleButtonDown ()`
- `obj.OnMiddleButtonUp ()`
- `obj.OnRightButtonDown ()`
- `obj.OnRightButtonUp ()`
- `obj.OnMouseMove ()`
- `obj.OnMouseWheelForward ()`
- `obj.OnMouseWheelBackward ()`
- `obj.SetRenderOnMouseMove (bool )` - Whether to invoke a render when the mouse moves.
- `bool = obj.GetRenderOnMouseMove ()` - Whether to invoke a render when the mouse moves.
- `obj.RenderOnMouseMoveOn ()` - Whether to invoke a render when the mouse moves.
- `obj.RenderOnMouseMoveOff ()` - Whether to invoke a render when the mouse moves.
- `int = obj.GetInteraction ()` - Current interaction state